## thunderbird 115.10.1

=== taskcluster/docker/system-symbols-win/requirements.txt ===
aiodns==3.0.0 --hash=sha256:2b19bc5f97e5c936638d28e665923c093d8af2bf3aa88d35c43417fa25d136a2
aiofile==3.7.4 --hash=sha256:0e2a524e4714efda47ce8964b13d4da94cf553411f9f6da813df615a4cd73d95
aiohttp==3.8.1 --hash=sha256:d15367ce87c8e9e09b0f989bfd72dc641bcd04ba091c68cd305312d00962addd
aiosignal==1.2.0 --hash=sha256:26e62109036cd181df6e6ad646f91f0dcfd05fe16d0cb924138ff2ab75d64e3a
asyncio==3.4.3 --hash=sha256:c4d18b22701821de07bd6aea8b53d21449ec0ec5680645e5317062ea21817d2d
asynctest==0.13.0 --hash=sha256:5da6118a7e6d6b54d83a8f7197769d046922a44d2a99c21382f0a6e4fadae676
async-timeout==4.0.2 --hash=sha256:8ca1e4fcf50d07413d66d1a5e416e42cfdf5851c981d679a09851a6853383b3c
attrs==21.4.0 --hash=sha256:2d27e3784d7a565d36ab851fe94887c5eccd6a463168875832a1be79c82828b4
caio==0.9.0 --hash=sha256:399de8f266ede4e87ffa1c647c8bb6859df14039354b6fcf74a47d3d756fdc41
cffi==1.15.0 --hash=sha256:920f0d66a896c2d99f0adbb391f990a84091179542c205fa53ce5787aff87954
chardet==4.0.0 --hash=sha256:f864054d66fd9118f2e67044ac8981a54775ec5b67aed0441892edb553d21da5
charset-normalizer==2.0.12 --hash=sha256:6881edbebdb17b39b4eaaa821b438bf6eddffb4468cf344f09f89def34a8b1df
frozenlist==1.3.0 --hash=sha256:acb267b09a509c1df5a4ca04140da96016f40d2ed183cdc356d237286c971b51
idna==3.3 --hash=sha256:84d9dd047ffa80596e0f246e2eab0b391788b0503584e8945f2368256d2735ff
multidict==6.0.2 --hash=sha256:5ff3bd75f38e4c43f1f470f2df7a4d430b821c4ce22be384e1459cb57d6bb013
pycares==4.1.2 --hash=sha256:dc942692fca0e27081b7bb414bb971d34609c80df5e953f6d0c62ecc8019acd9
pycparser==2.21 --hash=sha256:8ee45429555515e1f6b185e78100aea234072576aa43ab53aefcae078162fca9
typing_extensions==4.2.0 --hash=sha256:6657594ee297170d19f67d55c05852a874e7eb634f4f753dbd667855e07c1708
yarl==1.7.2 --hash=sha256:f64394bd7ceef1237cc604b5a89bf748c95982a84bcd3c4bbeb40f685c810794

=== debian/changelog ===
thunderbird (2:115.10.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 23 Apr 2024 15:25:27 -0700

thunderbird (1:115.10.1-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Apr 2024 11:14:56 +0200

thunderbird (1:115.10.1-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Apr 2024 10:16:07 +0200

thunderbird (1:115.10.1-1) unstable; urgency=medium

  [ William Desportes ]
  * [d0cbb66] Fix a typo in the wrapper file

  [ Carsten Schoenert ]
  * [47d140b] New upstream version 115.10.1
    Fixed CVE issues in upstream version 115.10 (MFSA 2024-20):
    CVE-2024-3852: GetBoundName in the JIT returned the wrong object
    CVE-2024-3854: Out-of-bounds-read after mis-optimized switch statement
    CVE-2024-3857: Incorrect JITting of arguments led to use-after-free
                   during garbage collection
    CVE-2024-2609: Permission prompt input delay could expire when not in
                   focus
    CVE-2024-3859: Integer-overflow led to out-of-bounds-read in the
                   OpenType sanitizer
    CVE-2024-3861: Potential use-after-free due to AlignedBuffer self-move
    CVE-2024-3302: Denial of Service using HTTP/2 CONTINUATION frames
    CVE-2024-3864: Memory safety bug fixed in Firefox 125, Firefox ESR 115.10,
                   and Thunderbird 115.10
  * [5612f7b] d/control: Move libotr5 to libotr5t64 for bin:thunderbird
    (Closes: #1069337)
  * [195482a] d/mozconfig.default: Use internal shipped librnp version
    The Debian package has a RC bug for longer time which would prevent the
    migration of the thunderbird package to testing.
  * [cd4de72] d/control: Drop dependencies on librnp{0,-dev}
  * [761eb83] d/thunderbird.install: Install local built rnp tools
  * [ce212a8] d/control: Increase Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Apr 2024 19:35:18 +0200

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer:: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 bash-completion,
 bzip2,
 cargo (>= 0.57),
 cbindgen (>= 0.24.3),
 clang,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-dev,
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libgtk-3-dev (>= 3.4),
 libhunspell-dev (>= 1.5.1~),
 libidl-dev (>= 0.8.0),
 libnotify-dev,
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 librust-toml-dev,
 libstartup-notification0-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-dev,
 mesa-common-dev,
 nasm,
 nodejs (>= 10.19.0),
 python3,
 rustc-mozilla (>= 1.63),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/bullseye
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/bullseye/
Homepage: https://www.thunderbird.net/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.7.0

Package: thunderbird
Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
Depends:
 debianutils (>= 1.16),
 fontconfig,
 libotr5,
 psmisc,
 x11-utils | kdialog | zenity,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
Provides:
 mail-reader,
Breaks:
 birdtray (<< 1.7.0+ds-1~),
 calendar-google-provider (<=1:68.2.1-1),
 enigmail (<< 2:2.2.0~),
 jsunit (<< 0.2.2-1~),
 webext-compactheader (<= 3.0.0~),
 xul-ext-dispmua (<= 1.8.4.6-1),
 webext-exteditor (<= 2.0.4-1),
 xul-ext-sieve (<= 0.3.1+dfsg-1~),
 webext-sogo-connector (<= 68.0.1-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 Thunderbird also includes an integrated calendar for handling events, events
 invitations and tasks in multiple calendars. It supports local calendars,
 CalDAV and plain ics files on CardDAV and WebDAV.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-af (>= ${binary:Version}),
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cak (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-cy (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-ca (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-es-mx (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-ka (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-lv (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pa-in (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-th (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-uz (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-af
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:af
Recommends:
 hunspell-af,
Description: Africaans language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Africaans.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Recommends:
 hunspell-bg | myspell-bg,
Description: Bulgarian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Bulgarian.

Package: thunderbird-l10n-br
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:br
Recommends:
 hunspell-br,
Description: Breton language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Breton.

Package: thunderbird-l10n-ca
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ca
Recommends:
 hunspell-ca | myspell-ca,
Description: Catalan/Valencian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Catalan/Valencian.

Package: thunderbird-l10n-cak
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cak-GT
Description: Kacqhikel language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Kacqhikel.

Package: thunderbird-l10n-cs
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cs
Recommends:
 hunspell-cs | myspell-cs-cz,
Description: Czech language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Czech.

Package: thunderbird-l10n-cy
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cy
Description: Welsh language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Welsh.

Package: thunderbird-l10n-da
Architecture: all
Section: localization
Depends:

## thunderbird 115.10.1+linuxmint1+wilma

=== debian/changelog ===
thunderbird (1:115.10.1+linuxmint1+wilma) unstable; urgency=medium

  * 115.10.1

 -- Linux Mint <root@linuxmint.com>  Thu, 18 Apr 2024 18:39:39 +0100

thunderbird (1:115.10.0+linuxmint1) unstable; urgency=medium

  * 115.10.0

 -- Linux Mint <root@linuxmint.com>  Tue, 16 Apr 2024 19:42:24 +0100

thunderbird (1:115.9.0+linuxmint1) unstable; urgency=medium

  * 115.9.0

 -- Linux Mint <root@linuxmint.com>  Thu, 28 Mar 2024 01:25:45 +0000

## thunderbird 115.10.1+linuxmint2+wilma

=== debian/changelog ===
thunderbird (1:115.10.1+linuxmint2+wilma) unstable; urgency=medium

  * 115.10.1

 -- Linux Mint <root@linuxmint.com>  Wed, 24 Apr 2024 18:26:06 +0100

thunderbird (1:115.10.1+linuxmint1) unstable; urgency=medium

  * 115.10.1

 -- Linux Mint <root@linuxmint.com>  Thu, 18 Apr 2024 18:39:39 +0100

## thunderbird 115.11.0

=== debian/changelog ===
thunderbird (2:115.11.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 24 May 2024 15:39:04 -0700

thunderbird (1:115.11.0-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 15 May 2024 19:10:51 +0200

thunderbird (1:115.11.0-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 15 May 2024 17:49:39 +0200

thunderbird (1:115.11.0-1) unstable; urgency=medium

  * [47bb447] d/c-u-t.py: Ignore potentially non ESR versions
  * [f008566] New upstream version 115.11.0
    Fixed CVE issues in upstream version 115.11 (MFSA 2024-23):
    CVE-2024-4367: Arbitrary JavaScript execution in PDF.js
    CVE-2024-4767: IndexedDB files retained in private browsing mode
    CVE-2024-4768: Potential permissions request bypass via clickjacking
    CVE-2024-4769: Cross-origin responses could be distinguished between
                   script and non-script content-types
    CVE-2024-4770: Use-after-free could occur when printing to PDF
    CVE-2024-4777: Memory safety bugs fixed in Firefox 126, Firefox ESR 115.11,
                   and Thunderbird 115.11
  * [b029857] d/control: Re-add build and binary dep on rnp library
    (Closes: #1070871)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 14 May 2024 21:28:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer:: Carsten Schoenert <c.schoenert@t-online.de>
+XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders:
  Christoph Goehre <chris@sigxcpu.org>,
 Build-Depends:

## thunderbird 115.12.0

=== comm/docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

VENV          = _venv

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= ./$(VENV)/bin/sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build


# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

venv: Makefile
	python -m venv --upgrade-deps $(VENV)
	./$(VENV)/bin/pip install -r requirements.txt


clean:
	@rm -rf $(VENV) $(BUILDDIR)


.PHONY: help Makefile $(SPHINXBUILD)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: $(SPHINXBUILD)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== comm/docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --resolver=backtracking requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.11.0
    # via sphinx
certifi==2022.12.7
    # via requests
charset-normalizer==3.0.1
    # via requests
docutils==0.17.1
    # via
    #   myst-parser
    #   sphinx
    #   sphinx-rtd-theme
fluent-pygments==1.0
    # via -r requirements.in
fluent-syntax==0.18.1
    # via fluent-pygments
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via
    #   myst-parser
    #   sphinx
linkify-it-py==1.0.3
    # via myst-parser
markdown-it-py==2.1.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.1
    # via jinja2
mdit-py-plugins==0.3.3
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser[linkify]==0.18.1
    # via -r requirements.in
packaging==23.0
    # via sphinx
pygments==2.14.0
    # via
    #   fluent-pygments
    #   sphinx
pytz==2022.7
    # via babel
pyyaml==6.0
    # via myst-parser
requests==2.28.2
    # via sphinx
six==1.16.0
    # via fluent-pygments
snowballstemmer==2.2.0
    # via sphinx
sphinx==5.3.0
    # via
    #   -r requirements.in
    #   myst-parser
    #   sphinx-rtd-theme
sphinx-rtd-theme==1.1.1
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.3
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
typing-extensions==4.4.0
    # via myst-parser
uc-micro-py==1.0.1
    # via linkify-it-py
urllib3==1.26.14
    # via requests

=== debian/changelog ===
thunderbird (1:115.12.0-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Jun 2024 07:35:58 +0200

thunderbird (1:115.12.0-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 14 Jun 2024 17:18:31 +0200

thunderbird (1:115.12.0-1) unstable; urgency=medium

  * [3d303c4] d/c-u-t.py: Ignore one more version
  * [2e7f143] New upstream version 115.12.0
    Fixed CVE issues in upstream version 115.12 (MFSA 2024-28):
    CVE-2024-5702: Use-after-free in networking
    CVE-2024-5688: Use-after-free in JavaScript object transplant
    CVE-2024-5690: External protocol handlers leaked by timing attack
    CVE-2024-5691: Sandboxed iframes were able to bypass sandbox restrictions
                   to open a new window
    CVE-2024-5692: Bypass of file name restrictions during saving
    CVE-2024-5693: Cross-Origin Image leak via Offscreen Canvas
    CVE-2024-5696: Memory Corruption in Text Fragments
    CVE-2024-5700: Memory safety bugs fixed in Firefox 127, Firefox ESR 115.12,
                   and Thunderbird 115.12
  * [9afc3a0] d/logo/thunderbird: Update PNG files from newer SVG
    (Closes: #1071824)
  * [a92c8d1] d/thunderbird.install: Install the newer correct SVG graphic

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 14 Jun 2024 13:26:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: thunderbird
 Section: mail
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
+Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders:
  Christoph Goehre <chris@sigxcpu.org>,
 Build-Depends:
@@ -346,3 +345,6 @@
 Architecture: all
 Section: localization
 Depends:
+ thunderbird (<< ${source:Version}.1~),
+ thunderbird (>= ${source:Version}),
+ ${misc:Depends},

=== debian/watch ===
version=4
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
https://download-origin.cdn.mozilla.net/pub/thunderbird/releases/(\d{3}\.[\d\.]+)/source/thunderbird-([\d\.]+).source\.tar\.xz debian python3 -B debian/repack.py

## thunderbird 115.12.0+build3

=== debian/changelog ===
thunderbird (1:115.12.0+build3-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.12.0+build3)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Jun 2024 16:30:56 +0200

thunderbird (1:115.11.0+build2-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.11.0+build2)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 May 2024 11:17:57 +0200

thunderbird (1:115.10.1+build1-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.10.1+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Apr 2024 12:20:58 +0200

thunderbird (1:115.9.0+build1-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.9.0+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Mar 2024 21:22:17 +0100

thunderbird (1:115.8.1+build1-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.8.1+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Feb 2024 13:39:45 +0100

thunderbird (1:115.8.0+build1-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.8.0+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Feb 2024 11:18:39 +0100

thunderbird (1:115.6.0+build2-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.6.0+build2)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Dec 2023 10:31:35 +0100

thunderbird (1:115.5.0+build1-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.5.0+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Nov 2023 21:21:25 +0100

thunderbird (1:115.4.1+build1-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream stable release (115.4.1+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 31 Oct 2023 16:31:51 +0100

## thunderbird 115.13.0

=== debian/changelog ===
thunderbird (1:115.13.0-1) unstable; urgency=medium

  * [83b5833] d/create-upstream-tarballs.py: Need to check for esr now
  * [5268d14] New upstream version 115.13.0
    Fixed CVE issues in upstream version 115.13 (MFSA 2024-31):
    CVE-2024-6600: Memory corruption in WebGL API
    CVE-2024-6601: Race condition in permission assignment
    CVE-2024-6602: Memory corruption in NSS
    CVE-2024-6603: Memory corruption in thread creation
    CVE-2024-6604: Memory safety bugs fixed in Firefox 128, Firefox ESR 115.13,
                   Thunderbird 128, and Thunderbird 115.13
  * [8097b55] Rebuild patch queue from patch-queue branch
    Dropped patch (not needed anymore):
    debian-hacks/rnp-Fix-include-for-format-specifiers-for-uint32_t.patch
  * [eab5143] d/watch: Now watch out for 'esr' suffixed versions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 16 Jul 2024 18:36:49 +0200

=== debian/control ===
--- 
+++ 
@@ -22,17 +22,22 @@
  libdbus-glib-1-dev (>= 0.60),
  libevent-dev (>= 1.4.1),
  libffi-dev,
- libfontconfig1-dev,
+ libfontconfig-dev,
  libglib2.0-dev (>= 2.22.0),
  libgtk-3-dev (>= 3.4),
  libhunspell-dev (>= 1.5.1~),
+# libicu-dev (>= 72.1~),
  libidl-dev (>= 0.8.0),
  libnotify-dev,
+ libnspr4-dev (>= 2:4.32~),
+ libnss3-dev (>= 2:3.85~),
  libpng-dev,
  libpulse-dev,
  libreadline-dev,
+ librnp-dev (>= 0.17.1),
  librust-toml-dev,
  libstartup-notification0-dev,
+ libvpx-dev (>= 1.8.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,
@@ -43,24 +48,25 @@
  nasm,
  nodejs (>= 10.19.0),
  python3,
- rustc-mozilla (>= 1.63),
+ rustc (>= 1.65),
  unzip,
  yasm (>= 1.1),
  zip,
  zlib1g-dev,
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/bullseye
-Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/bullseye/
+Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/sid/
 Homepage: https://www.thunderbird.net/
 X-Debian-Homepage: http://wiki.debian.org/Thunderbird
 Standards-Version: 4.7.0
 
 Package: thunderbird
-Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64 riscv64
 Depends:
  debianutils (>= 1.16),
  fontconfig,
- libotr5,
+ librnp0 (>= 0.17.1),
+ libotr5t64,
  psmisc,
  x11-utils | kdialog | zenity,
  ${misc:Depends},
@@ -342,9 +348,3 @@
  This package contains the localization of Thunderbird in Welsh.
 
 Package: thunderbird-l10n-da
-Architecture: all
-Section: localization
-Depends:
- thunderbird (<< ${source:Version}.1~),
- thunderbird (>= ${source:Version}),
- ${misc:Depends},

## thunderbird 115.14.0

=== debian/changelog ===
thunderbird (2:115.14.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2024 18:34:42 -0700

thunderbird (1:115.14.0-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 08 Aug 2024 14:07:01 +0200

thunderbird (1:115.14.0-1~deb12u1) bookworm-security; urgency=medium

  * [d608c75] New upstream version 115.14.0
    Fixed CVE issues in upstream version 115.1 (MFSA 2024-38):
    CVE-2024-7519: Out of bounds memory access in graphics shared memory
                   handling
    CVE-2024-7521: Incomplete WebAssembly exception handing
    CVE-2024-7522: Out of bounds read in editor component
    CVE-2024-7525: Missing permission check when creating a StreamFilter
    CVE-2024-7526: Uninitialized memory used by WebGL
    CVE-2024-7527: Use-after-free in JavaScript garbage collection
    CVE-2024-7529: Document content could partially obscure security prompts

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 07 Aug 2024 18:44:31 +0200

thunderbird (1:115.13.0-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 17 Jul 2024 20:59:32 +0200

thunderbird (1:115.13.0-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 17 Jul 2024 20:11:02 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbgsym package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options. Picked partially from FF.

dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
lazy = $(eval $(1) = $$(if $$(___$(1)),,$$(eval ___$(1) := $(2)))$$(___$(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif
ifeq ($(DEB_BUILD_ARCH),ppc64el)
	# Work around upstream bug 1757271
	CFLAGS += -DSQLITE_BYTEORDER=1234
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
LDFLAGS += -Wl,--as-needed

# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
# Doing this only on 64bit architectures.
ifeq (64,$(DEB_BUILD_ARCH_BITS))
	LDFLAGS += -Wl,--compress-debug-sections=zlib
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

# Using the timestamp for MOZ_BUILD_DATE from the file './sourcestamp.txt'
# which is set by Mozilla while creating the release.
# This ensures we have a one-to-one date across the various package builds
# within Debian for one upstream version. This is important for user which
# are performing a dist-upgrade to a new release.
export MOZ_BUILD_DATE := ${shell head -n1 $(CURDIR)/sourcestamp.txt}
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash
# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo
export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	rm -rf $(CARGO_HOME)
	rm -rf $(MOZBUILD_STATE_PATH)

override_dh_auto_configure:
	# copy the mozconfig files in place
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	# configure the various build settings for thunderbird
	DIST= python3 ./mach -v configure

# Ignore autoreconf, there is nothing that could be reconfigured. It's all
# newly generated right before debhelper would call that target.
override_dh_autoreconf:

override_dh_auto_build:
	# building the stuff
	dh_auto_build --builddirectory=obj-thunderbird
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			$(CURDIR)/debian/xpi-pack.sh $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	python3 ./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	dh_bash-completion

override_dh_install-arch:
	dh_install
	# apparmor profile installed by dh_install
	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird

override_dh_install-indep:
	dh_install
	# remove executable rights on *.js, *.png, *.xul files
	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;

override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0

override_dh_builddeb:
	# just build all packages if there is no 'UNRELEASED' within the changelog
	# found, otherwise skip the thunderbird-dbgsym package, it isn't there
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_builddeb ;\
	else \
		dh_builddeb -pthunderbird ;\
		dh_builddeb -plightning ;\
		for package in `grep -e \
			'Package: thunderbird-l10n\|Package: lightning-l10n' debian/control | awk '{print $$2;}'`; do \
			dh_builddeb -p$$package ;\
		done ;\
		sed -i '/thunderbird-dbgsym/d' debian/files ;\
	fi

override_dh_missing:
	dh_missing \
	-X usr/bin/thunderbird \
	-X usr/lib/thunderbird/crashreporter \
	-X usr/lib/thunderbird/glxtest \
	-X usr/lib/thunderbird/minidump-analyzer \
	-X usr/lib/thunderbird/pingsender \
	-X usr/lib/thunderbird/Throbber-small.gif \
	-X usr/lib/thunderbird/vaapitest \
	$(NULL)

override_dh_dwz:
	# Don't use dwz for now, it fails with:
	# dwz: debian/thunderbird/usr/lib/thunderbird/libldap60.so: Found compressed .debug_info section, not attempting dwz compression
	# dwz: debian/thunderbird/usr/lib/thunderbird/libldif60.so: Found compressed .debug_info section, not attempting dwz compression
	# ...

## thunderbird 115.15.0

=== debian/changelog ===
thunderbird (1:115.15.0-1~deb12u1) bookworm-security; urgency=medium

  * [912dd3c] New upstream version 115.15.0
    Fixed CVE issues in upstream version 115.15 (MFSA 2024-44):
    CVE-2024-8381: Type confusion when looking up a property name in a
                   &quot;with&quot; block
    CVE-2024-8382: Internal event interfaces were exposed to web content
                   when browser EventHandler listener callbacks ran
    CVE-2024-8383: Thunderbird did not ask before openings news: links in
                   an external application
    CVE-2024-8384: Garbage collection could mis-color cross-compartment
                   objects in OOM conditions
  * [1b87bc9] d/changelog: Fix version number (connected to MFSA 2024-38)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 06 Sep 2024 19:23:34 +0200
